// ------------------------------------------------------------------------------------------------
//
//   Scanlines shader by torridgristle
//
// ------------------------------------------------------------------------------------------------

void main() {
	vec2 tc = vec2(TexCoord.x, TexCoord.y);
	vec4 cta = texture(InputTexture, vec2(tc.x, tc.y));
	cta.rgb += sin(tc.y * 1250.0) * 0.15;
	if(tc.y > 1.0 || tc.x < 0.0 || tc.x > 1.0 || tc.y < 0.0)
	cta = vec4(0.0);
	FragColor = cta;
}